class CreateSaleTaxes < ActiveRecord::Migration[5.1]
  def change
    create_table :sale_taxes, :id => false do |t|
      t.string :sale_tax_id, :limit => 16, :primary_key => true #custom primary key - to ensure consistence for cloud syncing

      t.string :sale_id, foreign_key: true, :limit => 16
      t.string :tax_name, :null => false
      t.decimal :tax_rate, :precision => 10, :scale => 2, :null => false, :default => 0.00
      t.decimal :tax_payable_amount, :precision => 10, :scale => 2, :null => false, :default => 0.00
      t.boolean :inclusive, :default => false, :null => false
      t.timestamps
    end
  end
end
